<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- dating-001 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" style="background-image: url(images/00_01.jpg);">	
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top" background="images/00_01.jpg" style="padding: 30px;">
  <table width="100%" height="100%"  border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td width="31" height="195" rowspan="2"><img src="images/header0.jpg" width="31" height="195" alt="" /></td>
      <td height="149" colspan="3" background="images/00_05.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td align="left"  width="338" height="149"><img src="images/header.jpg" width="338" height="149" alt="" /></td>
          <td width="556" align="right" style="background-image: url(images/00_06.jpg);
	background-repeat: no-repeat;
	background-position: right;">
<!-- LOGO -->
						<table cellpadding="0" cellspacing="0" align="right">
							<tr><td align="right"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td></tr>
							<tr><td align="right" valign="bottom" class="slogan" style="padding-right:25px"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
							<tr><td align="right" valign="top" class="company" style="padding-right:25px"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
						</table>
<!-- END LOGO -->
	</td>
        </tr>
      </table></td>
      <td width="33" height="195" rowspan="2"><img src="images/00_07.jpg" width="32" height="195" alt="" /></td>
    </tr>
    <tr>
      <td height="46" colspan="3" align="center" valign="bottom" background="images/00_09.jpg">
	  <!-- MENU -->
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>
          <xsl:call-template name="TOP-MENU"/>
        </tr>
      </table>
	  <!-- END MENU -->
	  </td>
    </tr>
  
    <tr bgcolor="#FFFFFF">
      <td></td>
      <td width="200" valign="top">
	    <table width="200" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><img src="images/fff.gif" width="200" height="20" /></td>
          </tr>
          <tr>
            <td>
   <!-- SUBMENU -->
	  <table width="180" border="0" cellspacing="0" cellpadding="0">
        <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
      </table>  
	  <!-- END SUBMENU -->
			</td>
          </tr>
        </table>
	    <br/>

  </td>
      <td width="1" background="images/00_12.jpg"><img src="images/00_12.jpg" width="1" height="35" alt="" /></td>
      <td width="100%" height="100%" align="left" valign="top"  style="padding: 20px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:10px;"><span></span></div>
	   		<table width="100%" height="100%">
   		    <tr><td valign="top" width="100%" height="100%" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
   		    </tr></table>
			<!-- END CONTENT -->
	  </td>
      <td></td>
    </tr>
    <tr background="images/00_12.jpg">
      <td height="1" colspan="5"></td>
    </tr>
    <tr>
      <td valign="bottom"><img src="images/00_24.gif" width="31" height="83" alt="" /></td>
      <td colspan="3" align="center" style="background-image: url(images/00_25.jpg);
	background-repeat: repeat-x;
	background-position: bottom;
	background-color: #FFFFFF;">
	<!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0" align="center">
							<tr>
								<xsl:call-template name="BOTTOM-MENU"/>
							</tr>
						</table>
						<!-- END BOOTTOM MENU -->
						<div style="width:0px; height:10px;"><span></span></div>
						<!-- FOOTER -->
						<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
						<!-- END FOOTER -->
	
	</td>
      <td align="right" valign="bottom"><img src="images/00_27.gif" width="32" height="83" alt="" /></td>
    </tr>
  </table>
	</td>
  </tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
        <tr>
          <td width="1"  bgcolor="#E4E4E4"><img src="images/fff.gif" width="1" height="1" /></td>
          <td align="left"  class="asubmenu" style="padding-left: 15px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          <td width="10" align="right"><img src="images/00_18.jpg" width="7" height="5" alt="" /></td>
        </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
        <tr>
          <td width="1"  bgcolor="#E4E4E4"><img src="images/fff.gif" width="1" height="1" /></td>
          <td align="left" style="padding-left: 15px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          <td width="10" align="right"><img src="images/00_18.jpg" width="7" height="5" alt="" /></td>
        </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	      <tr>
          <td colspan="3" align="left" background="images/line.jpg"><img src="images/00_22.jpg" width="117" height="12" alt="" /></td>
          </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="30" align="center"><img src="images/bmenu_separator.gif" width="15" height="16" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
